apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    namespace: my-stuff
    name: digital-garden-data-pvc
spec:
    storageClassName: ENC[AES256_GCM,data:Jxq1FUCrWn8K9g==,iv:Ss2wRjDgSTRwUNneb1WcKqeUmfxzE4Qjbdq+PjJ+gSY=,tag:cz1Zk7Msv2KsgaUSF5q5Bw==,type:str]
    accessModes:
        - ENC[AES256_GCM,data:/bUdJ6vhtGNv9LnbIw==,iv:VVEXWIgEzTNQka6DVlsdCnUxodnaNzCQX3tXmbBPjS8=,tag:juMuU4eQP0Ru7gyHa13rLw==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:1vK1lw==,iv:BZ82Bx15VmhM/1niVxeqlJ14aCfNyVls8+sbxUbtdXY=,tag:QxVsAELHgfT7NO8Shs+cFw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBUb0xCL1pRV3BIVUhhVXQv
            Sk1xYTROL0FJZndiMFJQaUI1MkVDZUZPWm1FCjRZd29tTVQ5UVIwVDAxejVjTVBR
            MU4wdnY1MFl6aER1V3FmSUZiSVQ2Q00KLS0tIGhqMXZ0M3BwWFRLSDRCME5qVnNa
            Rm55N2U2L2N0end0SWhPazF1c0dyWjgKUZUK0C5bHIAN0pC4ranmIJiOpi07Vqv/
            kc5y55SM3DRTe4gCi29Doy3zivL9Ra6AhgsyUfa9y1WVYD/z1g0rbA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:C31+FUp06YSbRRXpMhIyerWOE3VeNqZMOPev8qXVCwnwjqO9FrACqNbWz3v7OKq/+7INOxzqZXvg8u3vSMEr/bK5i0an1y0EnlFpMittNbVvmkiHB767ZZe8MXYgNUW2nAqyn/Ss1wxs1hbDLOC0ikYFlv/dJ4cKyKeKa0IVLe0=,iv:kqc4aPO4t5ZtFank/VYgLtbRva04DXsAk+Vr8jrG+F8=,tag:6Y0MmXy5mvWwO3P+RshzDw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
    name: digital-garden-prod-tls
    namespace: my-stuff
spec:
    secretName: ENC[AES256_GCM,data:o1AUA1RMforlPyvAYbg2PvgzcHdFqKQ=,iv:fQpTIi0N/NwLlEdnf81fIOfxCpVZes6PM3PbWKXXgTM=,tag:JbPydoVj2VemM2fLhbkMZg==,type:str]
    #ENC[AES256_GCM,data:RztNjA==,iv:ySQ47Cq4c6LS7H44rvkn0O1r6bH2829cX919QCWcY5I=,tag:lSCOkawCgVc4IJFW8msoAg==,type:comment]
    duration: ENC[AES256_GCM,data:B5SN3PE=,iv:oOBwSpWQAhMwg7oSAIlbcTVof/AHFsi1+eOAOuRQBiI=,tag:AwtDTI+BSLG0euMR7BuG+g==,type:str]
    #ENC[AES256_GCM,data:wZ/icg==,iv:rQMhbJCxuRrNx9FgcN8IwmR8b1KvU0mB0XzpFt9660E=,tag:NE4V55hM8NaxdnDmiKvBTQ==,type:comment]
    renewBefore: ENC[AES256_GCM,data:h0B8Eg==,iv:q4XecMyndPIeJUrVm40vivTftFBPQp0BHTw1n/ezpVg=,tag:W4PdLl0pSqvP1gnxP/Nntg==,type:str]
    subject:
        organizations:
            - ENC[AES256_GCM,data:+NI1,iv:GwxU8LE55SM5btPe8EPq56KN7i91TmgMR36hNSKTEtQ=,tag:Ee6R4pB3p47j0DtXpJyN9g==,type:str]
    commonName: ENC[AES256_GCM,data:HiPeJYp+9sQUVihRITDx7Ls4BoeYSCxnbZLA,iv:BwiIcdOx+HFkxSk/PnRoVZykeA/JwPq5KTz475pocWE=,tag:bBL6E+nouhibScRhWe4WNQ==,type:str]
    isCA: ENC[AES256_GCM,data:Gu4kjNU=,iv:bfraaLCdgCziy7mx5P++bgxi/dg25eldk4UTzFzGhFU=,tag:mmzSWnCoKl3NfvCYT6NOEQ==,type:bool]
    privateKey:
        algorithm: ENC[AES256_GCM,data:X+WR,iv:nDFn/Pyl0xNtKlC8ZzgUtybdM0DJ8Ly9MEmgJ9UZ/i4=,tag:iglwRN0OJKHMWri9r/6scA==,type:str]
        encoding: ENC[AES256_GCM,data:5nQZmWQ=,iv:x+IlAeK7ZGz1x3FTQuyY+FGJ6OOGxEki70CaPH6ILrs=,tag:Uw/ZUKRltgIBa/2gSbnONA==,type:str]
        size: ENC[AES256_GCM,data:wCy1mA==,iv:rfseUMxtX1tRWFY9VkNWd7H3bHXEdyiPWu9wTCxD9Z0=,tag:Zw9l5LYmJdmcOMNH3xqNHQ==,type:int]
    usages:
        - ENC[AES256_GCM,data:wOftZkNewWA8QRs=,iv:aTviDVrM5qwKQOobuAkTtHGp0lIKuMDqChUH8kWbfSY=,tag:PuHEfeGtGtFlYrt+rRoUwg==,type:str]
        - ENC[AES256_GCM,data:sxomgfXGFjp4WJU=,iv:kKQ6pVPJfgRpXjzN9GBOMYKwm3fCy8+AjJJoSx3RgDE=,tag:fOGnXcKLBWoKZnNCVdJxPw==,type:str]
    dnsNames:
        - ENC[AES256_GCM,data:CAu9SFewHnGKMOWwKPdt+qcY2vupZREZSzSc,iv:rdHsPHOwGGfDrOpi7w56hRlPa3QDrgqpKEnLbul0S3s=,tag:Q020wqQJyWvl4KXY0KURNQ==,type:str]
    issuerRef:
        name: ENC[AES256_GCM,data:R9BxY8JRMuW0LV8KAmQGyw==,iv:0ekbLyC2W1+Ajsuho/ZpHJfIp6Mlcf/Du6lro466gsw=,tag:YaFUwHeLgmrRN3q8E8i5pQ==,type:str]
        kind: ClusterIssuer
        group: ENC[AES256_GCM,data:255RO2SXBzc2YrzkDbxs,iv:hUwwThoOwh1vVnicfxeQVLJops6zgRpmgBjhXQabsEU=,tag:q9dMeeuPS6l4m5SsUjbgLA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBUb0xCL1pRV3BIVUhhVXQv
            Sk1xYTROL0FJZndiMFJQaUI1MkVDZUZPWm1FCjRZd29tTVQ5UVIwVDAxejVjTVBR
            MU4wdnY1MFl6aER1V3FmSUZiSVQ2Q00KLS0tIGhqMXZ0M3BwWFRLSDRCME5qVnNa
            Rm55N2U2L2N0end0SWhPazF1c0dyWjgKUZUK0C5bHIAN0pC4ranmIJiOpi07Vqv/
            kc5y55SM3DRTe4gCi29Doy3zivL9Ra6AhgsyUfa9y1WVYD/z1g0rbA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:C31+FUp06YSbRRXpMhIyerWOE3VeNqZMOPev8qXVCwnwjqO9FrACqNbWz3v7OKq/+7INOxzqZXvg8u3vSMEr/bK5i0an1y0EnlFpMittNbVvmkiHB767ZZe8MXYgNUW2nAqyn/Ss1wxs1hbDLOC0ikYFlv/dJ4cKyKeKa0IVLe0=,iv:kqc4aPO4t5ZtFank/VYgLtbRva04DXsAk+Vr8jrG+F8=,tag:6Y0MmXy5mvWwO3P+RshzDw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    labels:
        app: digital-garden
    name: digital-garden-svc
    namespace: my-stuff
spec:
    type: ClusterIP
    ports:
        - port: ENC[AES256_GCM,data:V7LZ,iv:HKtCKDWKSb+fViHJti40JhFrEOXDZMafkh/eIGdGbTk=,tag:GfSVdWsDG2tS9GzZVHJEAA==,type:int]
          protocol: ENC[AES256_GCM,data:72n3,iv:rD/arjP5vK4XCrDFaUthOM4pjgQkJqu2HHdbSQ34ZRI=,tag:U049EhHGRbYsF6NQtLYP0A==,type:str]
          targetPort: ENC[AES256_GCM,data:/CA=,iv:2eocoKdUBfd9RMHqkHWqBNnrSUsdFWYHnMQt9bWGNeI=,tag:lgT5zBwy7+JT1XAU6Ja6wQ==,type:int]
    selector:
        app: ENC[AES256_GCM,data:qp7n6PrtGmeEiyI8l3c=,iv:gv/cN/DszQirKo+7zIYSS+ODPO1LpAJnj+dLgxW33ew=,tag:G871ScNIlVc03odCbyYfIg==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBUb0xCL1pRV3BIVUhhVXQv
            Sk1xYTROL0FJZndiMFJQaUI1MkVDZUZPWm1FCjRZd29tTVQ5UVIwVDAxejVjTVBR
            MU4wdnY1MFl6aER1V3FmSUZiSVQ2Q00KLS0tIGhqMXZ0M3BwWFRLSDRCME5qVnNa
            Rm55N2U2L2N0end0SWhPazF1c0dyWjgKUZUK0C5bHIAN0pC4ranmIJiOpi07Vqv/
            kc5y55SM3DRTe4gCi29Doy3zivL9Ra6AhgsyUfa9y1WVYD/z1g0rbA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:C31+FUp06YSbRRXpMhIyerWOE3VeNqZMOPev8qXVCwnwjqO9FrACqNbWz3v7OKq/+7INOxzqZXvg8u3vSMEr/bK5i0an1y0EnlFpMittNbVvmkiHB767ZZe8MXYgNUW2nAqyn/Ss1wxs1hbDLOC0ikYFlv/dJ4cKyKeKa0IVLe0=,iv:kqc4aPO4t5ZtFank/VYgLtbRva04DXsAk+Vr8jrG+F8=,tag:6Y0MmXy5mvWwO3P+RshzDw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    # Same namespace as the deployment
    namespace: my-stuff
    # Name of the ingress (see kubectl get ingress -A)
    name: digital-garden-ingress
    annotations:
        # < use letsencrypt-prod application in kubernetes to generate ssl certificate
        cert-manager.io/cluster-issuer: letsencrypt-prod
        nginx.ingress.kubernetes.io/proxy-body-size: 512m
spec:
    ingressClassName: ENC[AES256_GCM,data:fRGMPsc=,iv:HOvRvrWFU6FEgtOXIyVUTVu5eqmmctLQnddbeP+zEEk=,tag:f5m4duBh/rMW3YcMydZNkg==,type:str]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:3m29J+4Fi5RpCbx5xMvmXeZzKSbyTXXPpg==,iv:P8ssuuLRFpe33dfSOOLMyUVHmAjziWohi6q/lsTINKk=,tag:bdmwltBsrPyBtg3+WiHeCw==,type:comment]
            - ENC[AES256_GCM,data:VDJa+DxSk3dl6DOtFe8ClJfAlhnOyMmYLdT3,iv:QHuYkFr8N0dY8yC5zSKhD1F+0uZ47t8pY7QPAA7Bsic=,tag:xfKlFZ2Bh5VznTmw78KdcQ==,type:str]
          #ENC[AES256_GCM,data:JWwsKpA+FEEePkPEKFTGDLeAeXu6MhjyeL4YalvIckSIY5fG4tjnZKfqMDHmUbigJxHpI8wNI7dS,iv:Q4yczjdZJYtbkV/u5k4ZnQ4nj09KlYO0EwaZPB/i77Q=,tag:JQmKexT7jtvTYcH8+J9bzw==,type:comment]
          secretName: ENC[AES256_GCM,data:/AW/NUeWOetxfTJH5sLikUrOuZxOLJ8=,iv:BSmO61U3Tleeh9WHFJFT2wD4OnoDdEc2DaGcz3+agNk=,tag:QqNsH5I7aojwuhsoEqrpOQ==,type:str]
    rules:
        - ENC[AES256_GCM,data:SapYjtSYL+MWtse3s6Qr4Dfvep/5NznEsg==,iv:9kl4by+ERgdagUAD0n5xOP3bM2jsZsNOr4F0eQX8bKw=,tag:JHxFJw7EPRlCe7k2yFJeOQ==,type:comment]
        - host: ENC[AES256_GCM,data:K40AtUAIi/g03IyhVFGlAN8t1PpTkAlIXCBM,iv:tNj0AfWbNptfYlhXE6Prr1hwaTEXceOzenHpUrwIuTE=,tag:BH37CMhGqu/Gylw9sK/c6g==,type:str]
          http:
            paths:
                - ENC[AES256_GCM,data:Q0GBOccajTXB1oK3lAASECwzlRbtvg0YBVcuFMIWvu+Fj/wgSew4d4RKSFmp0uSqeeM8Ip8pWEoEAQBzyh2pLmfjgSbS,iv:B9+8gDPtGD/nl1BOaUWBTcFq+bOzx2gBOAez0+LFShI=,tag:Dfn8NCJ8HxQHHom75C621Q==,type:comment]
                - path: ENC[AES256_GCM,data:sg==,iv:1Bll6gQ2Zf3ConMzMNPCYbv/GB+etEm7AblXmKOLLVk=,tag:4xKRNLdsi+5KR6iuwFamLQ==,type:str]
                  pathType: ENC[AES256_GCM,data:bXRjkGBq,iv:OZ/n7iYfh1Yq6YbEeVyyqh2pgCElvUjl92UDunSMdb8=,tag:9/sAn0/waQFOV14IRh8fjA==,type:str]
                  backend:
                    service:
                        #ENC[AES256_GCM,data:wqD8RdigLEuJzs4uR5ENPuxjOH4f7I9YTRRAFKWJpqXHdfDixoCiR3mAKWyL3Pyg3GPm7dhLXdERjxBEO7Zf,iv:HmSjnUhkePRJJikqattXXZSOsZcjxtpnQPxBIOMIzAY=,tag:L3ilELAgPqzzSHciFVWmkQ==,type:comment]
                        name: ENC[AES256_GCM,data:3Gs5i9TXrtb11XBzLa4QNd2W,iv:HQHZRpflwDPGdCDOR3GEqFry1pbqGwi/yjMI79ZzdEs=,tag:lklv55AWQwGf49X22+j6dw==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:YE3X,iv:D4QixIDhErmmkxohtcwRTL7tKFl3Qv8K7HuNw/lPk0M=,tag:brgMLuKDa6vjLOYUkoKPqg==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBUb0xCL1pRV3BIVUhhVXQv
            Sk1xYTROL0FJZndiMFJQaUI1MkVDZUZPWm1FCjRZd29tTVQ5UVIwVDAxejVjTVBR
            MU4wdnY1MFl6aER1V3FmSUZiSVQ2Q00KLS0tIGhqMXZ0M3BwWFRLSDRCME5qVnNa
            Rm55N2U2L2N0end0SWhPazF1c0dyWjgKUZUK0C5bHIAN0pC4ranmIJiOpi07Vqv/
            kc5y55SM3DRTe4gCi29Doy3zivL9Ra6AhgsyUfa9y1WVYD/z1g0rbA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:C31+FUp06YSbRRXpMhIyerWOE3VeNqZMOPev8qXVCwnwjqO9FrACqNbWz3v7OKq/+7INOxzqZXvg8u3vSMEr/bK5i0an1y0EnlFpMittNbVvmkiHB767ZZe8MXYgNUW2nAqyn/Ss1wxs1hbDLOC0ikYFlv/dJ4cKyKeKa0IVLe0=,iv:kqc4aPO4t5ZtFank/VYgLtbRva04DXsAk+Vr8jrG+F8=,tag:6Y0MmXy5mvWwO3P+RshzDw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: digital-garden
    namespace: my-stuff
    labels:
        app: digital-garden
spec:
    replicas: ENC[AES256_GCM,data:IA==,iv:YA1gQBArgrYoVNhV+YBIpP38UuM9ZGgEovDcz0GKvr0=,tag:D7Ty6ZgtctaVg64KvUn5lA==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:ZGy8Y50LToK/jEOdEUc=,iv:PfoyLqDyjCfVw5tUG35VulTpiaFCSt7J7DMUTT6n5kk=,tag:byOfG8mpJfq+ni+imD5bJA==,type:str]
    template:
        metadata:
            labels:
                app: digital-garden
                name: digital-garden
        spec:
            containers:
                - name: ENC[AES256_GCM,data:c8jaYikfoDv/45TZ0lU=,iv:ov5zKmlZsT9vEv+7e0HjN6wk0vovzVPCtPINMW+dn1c=,tag:l0oZ9+hMssb3rcMn2WDTOQ==,type:str]
                  image: ENC[AES256_GCM,data:b2lvwCyShzwG0Soi,iv:IcxvKq5cw8X/Afsu8J4Bs9z4pydYdCimcl3Y6XDnF3c=,tag:INp1hB7ZQFN9OK1w5iDliA==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:MUvnHNsWIFX/tt4x,iv:pcyo6GEKHTI1RCMXZXU6GH/sUzst8hqqhQBCtrc5JL0=,tag:22YZAmffyAv3cYkD+YScAQ==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:fAo=,iv:OA7l1kQhBSh3E+A58eXO+DqULheN88FwCaSOxB9XalE=,tag:hOu+BdAOZw1jyBlN0/UloA==,type:int]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:YMsn9s0YJO3+fmS3blUHC7gWCqnb,iv:9Rr/n18pkhBRslMbpp8UonM9RtqPfqdvF4whtbRazck=,tag:CdgCBEr3KZKODuI8TKui2Q==,type:str]
                      mountPath: ENC[AES256_GCM,data:JJ1whUI=,iv:lKKwRmGcvLP3NEtwsC2hSPWI5lpaKfY0ap0PV41CSEM=,tag:WDdeeMpF+j1AMromEY0J5A==,type:str]
                  resources: {}
            volumes:
                - name: ENC[AES256_GCM,data:OwvjGVJ2Gs81Gw5GysZAYNJ91Jw0,iv:7KddI4YzxzWPI0qLDGw2VivlHNPIbYy/ugIQpUV4OJ8=,tag:Ls/2tAD9dpmJkWiusppbgQ==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:qTnaykzCtvTtPoXx4ajQ82qSsurgLOo=,iv:htTaMqU+YoUsc2zldMXVWg6EhHohDD23QNaPxMUqdUQ=,tag:yWDuh0v6cpFMkzTq8WcWLA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBUb0xCL1pRV3BIVUhhVXQv
            Sk1xYTROL0FJZndiMFJQaUI1MkVDZUZPWm1FCjRZd29tTVQ5UVIwVDAxejVjTVBR
            MU4wdnY1MFl6aER1V3FmSUZiSVQ2Q00KLS0tIGhqMXZ0M3BwWFRLSDRCME5qVnNa
            Rm55N2U2L2N0end0SWhPazF1c0dyWjgKUZUK0C5bHIAN0pC4ranmIJiOpi07Vqv/
            kc5y55SM3DRTe4gCi29Doy3zivL9Ra6AhgsyUfa9y1WVYD/z1g0rbA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:C31+FUp06YSbRRXpMhIyerWOE3VeNqZMOPev8qXVCwnwjqO9FrACqNbWz3v7OKq/+7INOxzqZXvg8u3vSMEr/bK5i0an1y0EnlFpMittNbVvmkiHB767ZZe8MXYgNUW2nAqyn/Ss1wxs1hbDLOC0ikYFlv/dJ4cKyKeKa0IVLe0=,iv:kqc4aPO4t5ZtFank/VYgLtbRva04DXsAk+Vr8jrG+F8=,tag:6Y0MmXy5mvWwO3P+RshzDw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
